Name: docbook-utils
Version: 0.6.13
Release: 7m
Group: Applications/Text

Summary: Shell scripts for managing DocBook documents.

License: GPL

Requires: docbook-style-dsssl >= 1.72
Requires: docbook-dtds
Requires: perl-SGMLSpm >= 1.03ii
Requires: which
Requires: tetex-dvips
Requires: w3m

BuildRoot: %{_tmppath}/%{name}-%{version}-root

BuildArch: noarch
Source0: %{name}-%{version}.tar.gz
Source1: db2html
Source2: gdp-both.dsl
Source3: docbook-utils-automake.tar.gz
Patch0: docbook-utils-headusage.patch
Patch1: docbook-utils-dot.patch

Obsoletes: stylesheets


%Description
This package contains scripts are for easy conversion from DocBook
files to other formats (for example, HTML, RTF, and PostScript), and
for comparing SGML files.

%package pdf
Requires: jadetex >= 2.5
Requires: docbook-utils = %{version}
Group: Applications/Text
Obsoletes: stylesheets-db2pdf
Provides: stylesheets-db2pdf
Summary: A script for converting DocBook documents to PDF format.

%description pdf
This package contains a script for converting DocBook documents to
PDF format.

%Prep
%setup -q
%patch0 -p1 -b .headusage
%patch1 -p1 -b .dot

%Build

# Delinkify COPYING
rm COPYING install-sh missing mkinstalldirs
tar zxf %{SOURCE3}

./configure --prefix=%{_prefix} --mandir=%{_mandir}
make


%Install
export DESTDIR=%{buildroot}
rm -rf $DESTDIR
make install prefix=%{_prefix} mandir=%{_mandir} docdir=$DESTDIR%{_docdir}
for util in dvi html pdf ps rtf
do
	ln -s docbook2$util %{buildroot}%{_bindir}/db2$util
	ln -s jw.1.gz %{buildroot}/%{_mandir}/man1/db2$util.1
done
# db2html is not just a symlink, as it has to create the output directory
rm -f %{buildroot}%{_bindir}/db2html
install -c -m 775 %{SOURCE1} %{buildroot}%{_bindir}/db2html
install -c -m 644 %{SOURCE2} %{buildroot}%{_datadir}/sgml/docbook/utils-%{version}/docbook-utils.dsl

# remove
rm -rf %{buildroot}%{buildroot}

%Clean
rm -rf %{buildroot}

%Files
%defattr (-,root,root)
%doc README COPYING TODO
%{_bindir}/jw
%{_bindir}/docbook2dvi
%{_bindir}/docbook2html
%{_bindir}/docbook2man
%{_bindir}/docbook2ps
%{_bindir}/docbook2rtf
%{_bindir}/docbook2tex
%{_bindir}/docbook2texi
%{_bindir}/docbook2txt
%{_bindir}/db2dvi
%{_bindir}/db2html
%{_bindir}/db2ps
%{_bindir}/db2rtf
%{_bindir}/sgmldiff
%{_datadir}/sgml/docbook/utils-%{version}
%{_mandir}/*/*

%files pdf
%defattr (-,root,root)
/usr/bin/docbook2pdf
/usr/bin/db2pdf

%changelog
* Wed Apr 15 2004 Toru Hoshina <t@momonga-linux.org>
- (0.6.13-7m)
- Sync with FC1.
  * Thu May 22 2003 Tim Waugh <twaugh@redhat.com> 0.6.13-4
  - Require elinks (bug #91472).
- use w3m instead of elinks. No more text browser.
  * Fri Feb 14 2003 Elliot Lee <sopwith@redhat.com> 0.6.12-6
  - tetex-dvips requirement should go on main package (not just pdf 
    subpackage) because docbook2ps requires dvips too.

* Wed Mar 17 2004 Toru Hoshina <t@momonga-linux.org>
- (0.6.9-13m)
- revised spec for enabling rpm 4.2.

* Wed May 15 2002 Toru Hoshina <t@kondara.org>
- (0.6.9-12k)
- rebuild for release adjustment.
- docbook-utils still needed for kdelibs, kdelibs2 and gnome-user-docs...

* Mon May 13 2002 Shingo Akagaki <dora@kondara.org>
- (0.6.9-8k)
- http://rhn.redhat.com/errata/RHSA-2002-062.html

* Thu Jan 31 2002 Shingo Akagaki <dora@kondara.org>
- (0.6.9-10k)
- remove kondara.dsl (OBSOLETE)

* Tue Oct 23 2001 Shingo Akagaki <dora@digitalfactory.co.jp>
- (0.6.9-6k)
- add onehtml style in kondara.dsl

* Tue Oct 23 2001 Shingo Akagaki <dora@digitalfactory.co.jp>
- (0.6.9-4k)
- add kondara.dsl

* Mon Aug 13 2001 Tim Waugh <twaugh@redhat.com> 0.6.9-2
- Larger bottom margin in gdp-both.dsl to fix RTF output (bug #49677).

* Tue Jul  3 2001 Tim Waugh <twaugh@redhat.com> 0.6.9-1
- 0.6.9.
- With --nochunks, send output to a file instead of stdout (bug #46913).

* Mon Jun  4 2001 Tim Waugh <twaugh@redhat.com> 0.6.8-2
- Make sure COPYING isn't installed as a symlink.

* Mon May 21 2001 Tim Waugh <twaugh@redhat.com> 0.6.8-1
- 0.6.8.

* Mon May 21 2001 Tim Waugh <twaugh@redhat.com> 0.6-14
- db2html: copy admon graphics to output directory (bug #40143).
- Require docbook-style-dsssl 1.64-2 for symbolic link used by db2html.
- db2html: handle arguments with spaces better.

* Sat Mar 24 2001 Tim Waugh <twaugh@redhat.com> 0.6-13
- Fix man pages (bug #32820).

* Mon Mar 12 2001 Tim Waugh <twaugh@redhat.com>
- Fix argument parsing in docbook2xxx (bug #31518).
- Fix argument passing in db2html (bug #31520).
- Fix pdf generation (bug #31524).

* Fri Feb 23 2001 Tim Waugh <twaugh@redhat.com>
- Allow the use of custom backends and frontends (bug #29067).

* Fri Feb 16 2001 Tim Waugh <twaugh@redhat.com>
- Use gdp-both.dsl as the default stylesheet.

* Mon Feb 12 2001 Tim Waugh <twaugh@redhat.com>
- REALLY only create output directory for db2html (duh).
- Handle filenames with dots in properly.

* Sun Feb 11 2001 Tim Waugh <twaugh@redhat.com>
- Only create output directory for db2html (bug #27092). (docbook2html
  does not create an output directory in the upstream version, but
  the compatibility script has been made to do so.)

* Mon Jan 22 2001 Tim Waugh <twaugh@redhat.com>
- Move the jadetex requirement to the -pdf subpackage.

* Tue Jan 16 2001 Tim Waugh <twaugh@redhat.com>
- Put output files in new directory instead of current directory.

* Mon Jan 15 2001 Tim Waugh <twaugh@redhat.com>
- Don't play so many macro games.
- Be sure to own utils directory.

* Fri Jan 12 2001 Tim Waugh <twaugh@redhat.com>
- Split off docbook2pdf into subpackage for dependency reasons.

* Mon Jan 08 2001 Tim Waugh <twaugh@redhat.com>
- Change group.
- Use %%{_mandir} and %%{_prefix}.
- db2* symlinks.
- Obsolete stylesheets (and -db2pdf).
- Change Copyright: to License:.
- Remove Packager: line.
- Reword description.

* Mon Jan 08 2001 Tim Waugh <twaugh@redhat.com>
- Based on Eric Bischoff's new-trials packages.
